"use strict";
const common_vendor = require("../../../common/vendor.js");
const CUSTOMER_list_house_method = require("../method.js");
const CUSTOMER_list_house_model = require("../model.js");
require("../../../gen/Apis.js");
require("../../../common/libraries/request.js");
require("../../../common/store/useWeAppAuthStore.js");
require("../../../common/libraries/apiLoading.js");
require("../../../common/store/useWatermarkStore.js");
require("../../../common/store/useWorkStore.js");
require("../../../common/libraries/userUserLogin.js");
if (!Array) {
  const _easycom_up_search2 = common_vendor.resolveComponent("up-search");
  const _easycom_uni_icons2 = common_vendor.resolveComponent("uni-icons");
  const _easycom_hs_popup2 = common_vendor.resolveComponent("hs-popup");
  (_easycom_up_search2 + _easycom_uni_icons2 + _easycom_hs_popup2)();
}
const _easycom_up_search = () => "../../../node-modules/uview-plus/components/u-search/u-search.js";
const _easycom_uni_icons = () => "../../../uni_modules/uni-icons/components/uni-icons/uni-icons.js";
const _easycom_hs_popup = () => "../../../components/hs-popup/hs-popup.js";
if (!Math) {
  (_easycom_up_search + _easycom_uni_icons + _easycom_hs_popup)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "SearchBox",
  setup(__props) {
    const popupShow = common_vendor.ref(false);
    return (_ctx, _cache) => {
      var _a, _b, _c;
      return {
        a: common_vendor.o((_a = common_vendor.unref(CUSTOMER_list_house_method.method)) == null ? void 0 : _a.handleSearch),
        b: common_vendor.o(($event) => common_vendor.unref(CUSTOMER_list_house_model.useModel).formData.value.name = $event),
        c: common_vendor.p({
          placeholder: "请输入房号",
          showAction: false,
          modelValue: common_vendor.unref(CUSTOMER_list_house_model.useModel).formData.value.name
        }),
        d: common_vendor.f((_c = (_b = common_vendor.unref(CUSTOMER_list_house_model.useModel)) == null ? void 0 : _b.buildingData) == null ? void 0 : _c.value, (i, index, i0) => {
          return {
            a: common_vendor.t(i == null ? void 0 : i.name),
            b: `items_${index}`,
            c: common_vendor.n(`tab_item  ${common_vendor.unref(CUSTOMER_list_house_model.useModel).formData.value.asset_buildings_id === (i == null ? void 0 : i.id) ? "tab_active" : ""}`),
            d: common_vendor.o(($event) => {
              var _a2;
              return (_a2 = common_vendor.unref(CUSTOMER_list_house_method.method)) == null ? void 0 : _a2.handleChangeBuilding(i);
            }, `items_${index}`)
          };
        }),
        e: common_vendor.p({
          type: "help",
          size: "20",
          color: "#666"
        }),
        f: common_vendor.o(($event) => popupShow.value = true),
        g: common_vendor.o(($event) => popupShow.value = false),
        h: common_vendor.p({
          show: popupShow.value,
          mode: "bottom",
          closeable: true,
          round: 20
        })
      };
    };
  }
});
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-2e0b683a"], ["__file", "/Users/zsq/Sources/github/2025property-pay/pay-employee/src/CUSTOMER/list_house/components/SearchBox.vue"]]);
wx.createComponent(Component);
